import { initQueditor } from "@queenjs-modules/queditor";
import { initQueentreeExplorer } from "@queenjs-modules/queentree-explorer";
import { ModuleRoot } from "queenjs";

export class ExpViewerModule extends ModuleRoot {
  modules = this.useModules({
    explorer: initQueentreeExplorer,
    queditor: initQueditor,
  });
}

export const { initExpViewer, useExpViewer, setExpViewer } =
  ExpViewerModule.hook("ExpViewer");
