import { css } from "@linaria/core";
import { Spin } from "ant-design-vue";
import { defineComponent, reactive } from "vue";

// const Canvas3d = defineComponent({
//   setup() {
//     const hooks = useScenePackPreview(match.assetPack, "");

//     return () => (
//       <Drop name="canvas3d" class={canvasStyle} type={["asset3d.*"]}>
//         <canvas ref={hooks.canvasRef} />
//       </Drop>
//     );
//   },
// });

export default defineComponent({
  setup() {
    const state = reactive({ loaded: false });

    // match.initStyleEditor().then((loaded) => {
    //   if (loaded) {
    //     state.loaded = loaded;
    //   }
    // });

    return () => (
      <div class={rootstyles}>
        <Spin />
      </div>
    );
    // return () => (state.loaded ? <Canvas3d /> : <Spin />);
  },
});

const rootstyles = css`
  position: relative;
  background-color: #dddddd;
  .content_canvas {
    width: 100%;
    height: 100%;
  }
`;

const canvasStyle = css`
  transition: all 0.2s ease;
  position: relative;
  width: 100%;
  height: 100%;
  background-color: #eee;

  canvas {
    width: 100%;
    height: 100%;
  }

  .canvas3d-mask {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    background-color: #fff;
  }
`;
